# Basic examples

PBR example

```
-redSet
Step Stool;pbr_basecolor;6;fbc6551e-05ea-2aad-f643-b82612455b39
Step Stool;pbr_normal;6;cebf98c1-ce8a-a024-baff-86f1e748f2c6
Step Stool;pbr_metallic;6;b63cd68e-3ef2-0a0a-db52-c21d46bf27df

-greenSet
Step Stool;pbr_basecolor;6;2f25ad79-7cde-a0e6-6429-662884ddb3d2
Step Stool;pbr_normal;6;296ebc06-7bc7-7309-63e3-74eae09686f5
Step Stool;pbr_metallic;6;95f969e0-dfca-a2ee-74a1-15b8efd7e661
```

This is a very basic example with 4 textures set.

```
-redSet
ALL;texture;1,2;cc72eb07-xxxx-xxxx-xxxx-xxxxxxxxxxxx

-pinkSet
ALL;texture;ALL_SIDES;1f9d4fe0-xxxx-xxxx-xxxx-xxxxxxxxxxxx

-greenSet
ALL;texture;3;232517e0-xxxx-xxxx-xxxx-xxxxxxxxxxxx

-blueSet
ALL;texture;3;8801248e-xxxx-xxxx-xxxx-xxxxxxxxxxxx
```

Many instructions with different values.

```
-reset
ALL;color
ALL;glow
ALL;fullbright

-allSet
ALL;color;null;<1,1,1>
ALL;glow
ALL;color;3;<1,1,0>
ALL;fullbright;null;1
ALL;glow;0;0.3
ALL;color;2,4;<1,0,0>
ALL;texture_normal
ALL;texture;ALL_SIDES;143ced5c-xxxx-xxxx-xxxx-xxxxxxxxxxxx
button2;texture;2,3,1;9de973e4-xxxx-xxxx-xxxx-xxxxxxxxxxxx
Example Cube;texture;ALL_SIDES;143ced5c-xxxx-xxxx-xxxx-xxxxxxxxxxxx
Example Cube;texture;5;143ced5c-xxxx-xxxx-xxxx-xxxxxxxxxxxx
Example Cube;texture;2,3,4;143ced5c-xxxx-xxxx-xxxx-xxxxxxxxxxxx
button1;texture;2,3,4;9de973e4-xxxx-xxxx-xxxx-xxxxxxxxxxxx
button3;texture;2,3,4;9de973e4-xxxx-xxxx-xxxx-xxxxxxxxxxxx
button4;texture;2,3,4;9de973e4-xxxx-xxxx-xxxx-xxxxxxxxxxxx
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kynno.app/products/easytextures/examples/basic-examples.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
